# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/MessagePack.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(List/MoreUtils.pm) perl(Test/More.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.8.04
%define module_name Data-Transit
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.8.04
Release: alt1
Summary: Perl implementation of the transit format
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LA/LACKITA/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
use Data::Transit;

_my $writer = Data::Transit::writer($fh, 'json');
_$writer->write($value);

_my $reader = Data::Transit::reader('json');
_my $val = $reader->read($value);

For example:

_use Data::Transit;

_my $output;
_open my ($output_fh), '>>', \$output;
_my $writer = Data::Transit::writer($fh, 'json');
_$writer->write(["abc", 12345]);

_my $reader = Data::Transit::reader('json');
_my $vals = $reader->read($output);

Instead of json, you may also provide json-verbose and message-pack;
%prep
%setup -n transit-pl

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md .git/description Changes
%perl_vendor_privlib/D*

%changelog
* Thu Apr 16 2015 Igor Vlasenko <viy@altlinux.ru> 0.8.04-alt1
- initial import by package builder

